using System;
using System.Reflection;

internal sealed class Delegate850 : MulticastDelegate
{
	public extern bool Invoke(MethodBase methodBase_0, MethodBase methodBase_1);

	public static bool smethod_0(MethodBase methodBase_0, MethodBase methodBase_1, Delegate850 delegate850_1)
	{
		return delegate850_1(methodBase_0, methodBase_1);
	}

	public extern Delegate850(object object_0, IntPtr intptr_0);

	static Delegate850()
	{
		Class10.smethod_13(typeof(Delegate850).TypeHandle);
	}

	internal static Delegate850 delegate850_0;
}
